Package org.eclipse.emf.cdo.lm.modules

# Interface ModuleDefinition

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`

All Known Implementing Classes:
  `ModuleDefinitionImpl`

public interface ModuleDefinition extends ModelElement
A representation of the model object 'Module Definition'.

See Also:
  - `ModulesPackage.getModuleDefinition()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Name`
  - `Version`
  - `Dependencies`
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`EList<DependencyDefinition>`
`getDependencies()`
Returns the value of the 'Dependencies' containment reference list.
`String`
`getName()`
Returns the value of the 'Name' attribute.
`Version`
`getVersion()`
Returns the value of the 'Version' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setVersion(Version value)`
Sets the value of the '`Version`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `ModulesPackage.getModuleDefinition_Name()`
Generated
Model
  required="true"

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`
Generated

### getVersion

Version getVersion()
Returns the value of the 'Version' attribute.

Returns:
  the value of the 'Version' attribute.
See Also:
  - `setVersion(Version)`
  - `ModulesPackage.getModuleDefinition_Version()`
Generated
Model
  dataType="org.eclipse.emf.cdo.lm.modules.Version" required="true"

### setVersion

void setVersion(Version value)
Sets the value of the '`Version`' attribute.

Parameters:
  `value` - the new value of the 'Version' attribute.
See Also:
  - `getVersion()`
Generated

### getDependencies

EList<DependencyDefinition> getDependencies()
Returns the value of the 'Dependencies' containment reference list. The list contents are of type `DependencyDefinition`. It is bidirectional and its opposite is '`Source`'.

Returns:
  the value of the 'Dependencies' containment reference list.
See Also:
  - `ModulesPackage.getModuleDefinition_Dependencies()`
  - `DependencyDefinition.getSource()`
Generated
Model
  opposite="source" containment="true" extendedMetaData="name='dependency' kind='element'"